<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:rich="http://richfaces.org/rich" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:a4j="http://richfaces.org/a4j" xmlns="http://www.w3.org/1999/xhtml"
                template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalf">
            <h1>#{messages['net.ihe.gazelle.xdstar.MessagesXDSIbCentralArchive']}</h1>
            <h:panelGrid columns="5">
                <ui:include src="/filter/filter.xhtml">
                    <ui:param name="filter" value="#{centralArchManager.xdsidbDataModel.filter}"/>
                    <ui:param name="filterId" value="affinityDomain"/>
                    <ui:param name="filterName" value="#{messages['net.ihe.gazelle.xdstar.AffinityDomain_3']}"/>
                    <ui:param name="filterForm" value="globalf"/>
                </ui:include>
                <gdk:spacer width="20px"/>
                <ui:include src="/filter/filter.xhtml">
                    <ui:param name="filter" value="#{centralArchManager.xdsidbDataModel.filter}"/>
                    <ui:param name="filterId" value="transaction"/>
                    <ui:param name="filterName" value="#{messages['net.ihe.gazelle.xdstar.Transaction']}"/>
                    <ui:param name="filterForm" value="globalf"/>
                </ui:include>
                <ui:include src="/filter/filter.xhtml">
                    <ui:param name="filter" value="#{centralArchManager.xdsidbDataModel.filter}"/>
                    <ui:param name="filterId" value="messageType"/>
                    <ui:param name="filterName" value="#{messages['net.ihe.gazelle.xdstar.MessageType']}"/>
                    <ui:param name="filterForm" value="globalf"/>
                </ui:include>
                <gdk:spacer width="20px"/>
                <ui:include src="/filter/filter.xhtml">
                    <ui:param name="filter" value="#{centralArchManager.xdsidbDataModel.filter}"/>
                    <ui:param name="filterId" value="ip"/>
                    <ui:param name="filterName" value="#{messages['net.ihe.gazelle.xdstar.IPAddress']}"/>
                    <ui:param name="filterForm" value="globalf"/>
                </ui:include>
                <ui:include src="/filter/filter.xhtml">
                    <ui:param name="filter" value="#{centralArchManager.xdsidbDataModel.filter}"/>
                    <ui:param name="filterId" value="validRequest"/>
                    <ui:param name="filterName" value="#{messages['net.ihe.gazelle.xdstar.ValidRequest']}"/>
                    <ui:param name="filterForm" value="globalf"/>
                </ui:include>
                <gdk:spacer width="20px"/>
                <ui:include src="/filter/filter.xhtml">
                    <ui:param name="filter" value="#{centralArchManager.xdsidbDataModel.filter}"/>
                    <ui:param name="filterId" value="validResponse"/>
                    <ui:param name="filterName" value="#{messages['net.ihe.gazelle.xdstar.ValidResponse']}"/>
                    <ui:param name="filterForm" value="globalf"/>
                </ui:include>
                <a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.ResetFilter']}" actionListener="#{centralArchManager.resetFilter()}"
                                   styleClass="gzl-btn-blue" render="globalf"/>
            </h:panelGrid>
            <rich:dataTable id="messagesTable" rendered="#{centralArchManager.xdsidbDataModel != null}" rows="20"
                            value="#{centralArchManager.xdsidbDataModel}" var="currentMessage" render="ds">
                <g:column name="idColumn" sortBy="#{'id'}" sortOrder="descending">
                    <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Id']}</ui:define>
                    <h:outputLink value="messageResponder.seam?id=#{currentMessage.id}" target="_blank">
                        <h:outputText value="#{currentMessage.id}"/>
                    </h:outputLink>
                </g:column>
                <g:column sortBy="#{'timeStamp'}">
                    <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.TimeStamp']}</ui:define>
                    <h:outputText value="#{currentMessage.timeStamp}">
                        <s:convertDateTime dateStyle="full" type="both"/>
                    </h:outputText>
                </g:column>
                <g:column sortBy="#{'transaction.keyword'}" filterBy="#{'transaction.keyword'}" filterEvent="onkeyup">
                    <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Transaction_2']}</ui:define>
                    <h:outputText value="#{currentMessage.transaction}"/>
                </g:column>
                <g:column sortBy="#{'affinityDomain.keyword'}" filterBy="#{'affinityDomain.keyword'}" filterEvent="onkeyup">
                    <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.AffinityDomain']}</ui:define>
                    <h:outputText value="#{currentMessage.affinityDomain}"/>
                </g:column>
                <g:column sortBy="#{'ip'}" filterBy="#{'ip'}" filterEvent="onkeyup">
                    <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.IPAddress']}</ui:define>
                    <h:outputText value="#{currentMessage.ip}"/>
                </g:column>
                <g:column sortBy="#{'receivedMessageContent.messageType'}">
                    <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Request']}</ui:define>
                    <s:div rendered="#{(currentMessage.receivedMessageContent != null)}">
                        <h:outputText value="#{currentMessage.receivedMessageContent.messageType.value}"/>
                    </s:div>
                </g:column>
                <g:column sortBy="#{'sentMessageContent.messageType'}">
                    <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Response']}</ui:define>
                    <s:div rendered="#{(currentMessage.sentMessageContent != null)}">
                        <h:outputText value="#{currentMessage.sentMessageContent.messageType.value}"/>
                    </s:div>
                </g:column>
                <f:facet name="footer">
                    <s:div style="text-align: center;">
                        <rich:dataScroller id="ds" maxPages="10" renderIfSinglePage="false" immediate="true"/>
                    </s:div>
                </f:facet>
            </rich:dataTable>
        </h:form>
    </ui:define>
</ui:composition>
